Subject: Re: noob user, want checkins to all be forced to LF terminated lines

From: David Aguilar <[email-masked]>
Date: Sat, 31 Jul 2010 08:12:12 -0700

On Fri, Jul 30, 2010 at 11:24:34PM -0700, Walter Bright wrote:
> Ilari Liusvaara wrote:
> >On Fri, Jul 30, 2010 at 10:45:36PM -0700, Walter Bright wrote:
> >
> >>>[1] But upon restore, the working copy cache will be wrong
> >>Why? Is it someplace else?
> >
> >It is inside .git directory and will be caught by full recursive
> >backup. Unfortunately, it contains i-node numbers, which aren't
> >preserved through backup and restore.
> >
> >The wrong i-node numbers would then confuse git (false positives
> >in modification detection). Fortunately, this data can be rebuilt
> >with single command (see below).
> 
> Hmm. One thing I wanted to get away from from Windows was the
> inability to restore files by just copying the tree.

I think we gave you too much information.
Just copy the tree, that's all there is to see here...

> >>>and needs to be rebuilt (git update-index --refresh).
> 
> That's crucial to know. Thanks!

Actually, I think that's too much to know.

Casual git users can just say 'git status' and git
will DTRT updating the index itself.

Sorry if the information in this thread made you
think that there's "something else" that you have to
worry about backing up.  Nope, it's all just .git.

-- 
		David